<?php
/*
  www.oscGold.com (C) Kamelia-Net Jacek Krysiak
  modul oscGold wer 4.0
*/
?>

<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <!-- Naglowek BOF -->
  <tr>
   <td>
	  <?php
	   $info_box_contents = array();
	   $info_box_contents[] = array('text' => sprintf(HEADING_TITLE_POLL));
	   new contentBoxHeading($info_box_contents);
	  ?>
   </td>
  </tr>
  <tr>
	<td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '1'); ?></td>
  </tr>
  <!-- Naglowek EOF -->
  <?php
  if (isset($_GET['error_poll']) && tep_not_null($_GET['error_poll'])) {
  ?>
  <tr>
     <td><script type="text/javascript" language="javascript">okno('<?php echo tep_db_prepare_input($_GET['error_poll']); ?>')</script></td>
  </tr>
  <?php
    }
  ?>
  <tr>
  <td>
   <table width="100%" cellspacing="1" cellpadding="2" class="infoBox">
    <tr class="infoBoxContents">
     <td align="center" valign="top">
	  <table width="100%" border="0" cellspacing="0" cellpadding="1">
	  <tr>
	   <td align="left" valign="top" style="padding:5px">
		<?php

		switch ($HTTP_GET_VARS['op']) {
	     case "results":
	        echo("<table align='center' cellspacing='0' cellpadding='0'><tr><td>\n");
	        include("poll_results.php");
	        echo("</td></tr></table>\n");
	        break;

	     case 'comment':
	        echo("<table align='left' cellspacing='0' cellpadding='0'><tr><td>\n");
	        include("poll_comment.php");
	        echo("</td></tr></table>\n");
	        break;

	     case 'list':
	     echo("<table align='center' width='100%' cellspacing='0' cellpadding='0'><tr><td align='center'>\n");
	        include("poll_list.php");
	        echo("</td></tr></table>\n");
	        break;

	     case "vote":
	        echo("<table align='center' cellspacing='0' cellpadding='0'><tr><td>\n");
	        include("poll_vote.php");
	        echo("</td></tr></table>\n");
	        break;
		}
		if (!$nolink) {
		?>
		<?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT, '', 'NONSSL') . '">' . tep_image_button('button_continue.gif', IMAGE_BUTTON_CONTINUE) . '</a>'; ?>
		<?php
		}
		?>
	  </td>
	  </tr>
	  </table>
	 </td>
	</tr>
	</table>
   </td>
  </tr>
</table>